curl -X POST https://api-verifier-2.onrender.com/password-recovery/reset \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"token": "abc123def456...",
"newPassword": "newsecurepassword123"
}'
{
"success": true,
"message": "Password updated. You can now log in with your new password."
}
{
"error": "Reset link expired"
}
{
"error": "Invalid token"
}
Authentication
Reset password
Reset password using the token from email
POST
/
password-recovery
/
reset
curl -X POST https://api-verifier-2.onrender.com/password-recovery/reset \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"token": "abc123def456...",
"newPassword": "newsecurepassword123"
}'
{
"success": true,
"message": "Password updated. You can now log in with your new password."
}
{
"error": "Reset link expired"
}
{
"error": "Invalid token"
}
Request body
string
required
User’s email address
string
required
Password reset token from email link
string
required
New password (minimum 8 characters)
Response
boolean
Indicates if the password was reset successfully
string
Success or error message
curl -X POST https://api-verifier-2.onrender.com/password-recovery/reset \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"token": "abc123def456...",
"newPassword": "newsecurepassword123"
}'
{
"success": true,
"message": "Password updated. You can now log in with your new password."
}
{
"error": "Reset link expired"
}
{
"error": "Invalid token"
}